Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class Match.MatchCode

    java.lang.Object
      net.sourceforge.pmd.cpd.Match.MatchCode

Enclosing class:
  Match

public static class Match.MatchCode
extends java.lang.Object

Constructor Summary
`Match.MatchCode()`
`Match.MatchCode(TokenEntry m1, TokenEntry m2)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`int` | `hashCode()`
`void` | `setFirst(int first)`
`void` | `setSecond(int second)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Match.MatchCode

    public Match.MatchCode()

### Match.MatchCode

    public Match.MatchCode(TokenEntry m1,
                           TokenEntry m2)

Method Detail

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object other)

### setFirst

    public void setFirst(int first)

### setSecond

    public void setSecond(int second)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.